<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Class Index</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Index</div>  </div>
</div><!--header-->
<div class="contents">
<div class="qindex"><a class="qindex" href="#letter_a">a</a>&#160;|&#160;<a class="qindex" href="#letter_b">b</a>&#160;|&#160;<a class="qindex" href="#letter_c">c</a>&#160;|&#160;<a class="qindex" href="#letter_d">d</a>&#160;|&#160;<a class="qindex" href="#letter_f">f</a>&#160;|&#160;<a class="qindex" href="#letter_g">g</a>&#160;|&#160;<a class="qindex" href="#letter_h">h</a>&#160;|&#160;<a class="qindex" href="#letter_i">i</a>&#160;|&#160;<a class="qindex" href="#letter_j">j</a>&#160;|&#160;<a class="qindex" href="#letter_k">k</a>&#160;|&#160;<a class="qindex" href="#letter_m">m</a>&#160;|&#160;<a class="qindex" href="#letter_n">n</a>&#160;|&#160;<a class="qindex" href="#letter_o">o</a>&#160;|&#160;<a class="qindex" href="#letter_p">p</a>&#160;|&#160;<a class="qindex" href="#letter_r">r</a>&#160;|&#160;<a class="qindex" href="#letter_s">s</a>&#160;|&#160;<a class="qindex" href="#letter_t">t</a>&#160;|&#160;<a class="qindex" href="#letter_u">u</a>&#160;|&#160;<a class="qindex" href="#letter_w">w</a></div>
<table class="classindex">
<tr><td rowspan="2" valign="bottom"><a name="letter_a"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;a&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="structdma__config__t.html">dma_config_t</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_i"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;i&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classNVS.html">NVS</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classSSLUtils.html">SSLUtils</a>&#160;&#160;&#160;</td></tr>
<tr><td></td><td valign="top"><a class="el" href="classDMABuffer.html">DMABuffer</a>&#160;&#160;&#160;</td><td></td><td rowspan="2" valign="bottom"><a name="letter_o"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;o&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classSystem.html">System</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="structaddressRange__t.html">addressRange_t</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classDMAData.html">DMAData</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classI2C.html">I2C</a>&#160;&#160;&#160;</td><td></td><td rowspan="2" valign="bottom"><a name="letter_t"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;t&#160;&#160;</div></td></tr></table>
</td></tr>
<tr><td valign="top"><a class="el" href="classApa102.html">Apa102</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_f"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;f&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classSOC_1_1I2S.html">SOC::I2S</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classOV7670.html">OV7670</a>&#160;&#160;&#160;</td><td></td></tr>
<tr><td valign="top"><a class="el" href="classArgTable.html">ArgTable</a>&#160;&#160;&#160;</td><td></td><td valign="top"><a class="el" href="classI2S.html">I2S</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_p"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;p&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classTask.html">Task</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="classArgTableEntry__Date.html">ArgTableEntry_Date</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classFATFS__VFS.html">FATFS_VFS</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classIFTTT.html">IFTTT</a>&#160;&#160;&#160;</td><td></td><td valign="top"><a class="el" href="classTFTP.html">TFTP</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="classArgTableEntry__Double.html">ArgTableEntry_Double</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classFile.html">File</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="structio__mux__dev__t.html">io_mux_dev_t</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classPathHandler.html">PathHandler</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classTFTP_1_1TFTP__Transaction.html">TFTP::TFTP_Transaction</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="classArgTableEntry__File.html">ArgTableEntry_File</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classFTPServer_1_1FileException.html">FTPServer::FileException</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="structio__mux__reg__t.html">io_mux_reg_t</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classPCF8574.html">PCF8574</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_u"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;u&#160;&#160;</div></td></tr></table>
</td></tr>
<tr><td valign="top"><a class="el" href="classArgTableEntry__Generic.html">ArgTableEntry_Generic</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classFileSystem.html">FileSystem</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_j"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;j&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classPCF8575.html">PCF8575</a>&#160;&#160;&#160;</td><td></td></tr>
<tr><td valign="top"><a class="el" href="classArgTableEntry__Int.html">ArgTableEntry_Int</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="structFrame.html">Frame</a>&#160;&#160;&#160;</td><td></td><td valign="top"><a class="el" href="structpixel__t.html">pixel_t</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="structMFRC522_1_1Uid.html">MFRC522::Uid</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="classArgTableEntry__Lit.html">ArgTableEntry_Lit</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classFreeRTOS.html">FreeRTOS</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classJSON.html">JSON</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classPubSubClient.html">PubSubClient</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_w"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;w&#160;&#160;</div></td></tr></table>
</td></tr>
<tr><td valign="top"><a class="el" href="classArgTableEntry__Regex.html">ArgTableEntry_Regex</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classFreeRTOSTimer.html">FreeRTOSTimer</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classJsonArray.html">JsonArray</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classPubSubClientTask.html">PubSubClientTask</a>&#160;&#160;&#160;</td><td></td></tr>
<tr><td valign="top"><a class="el" href="classArgTableEntry__String.html">ArgTableEntry_String</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classFTPCallbacks.html">FTPCallbacks</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classJsonObject.html">JsonObject</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classPWM.html">PWM</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classWebSocket.html">WebSocket</a>&#160;&#160;&#160;</td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_b"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;b&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classFTPFileCallbacks.html">FTPFileCallbacks</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_k"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;k&#160;&#160;</div></td></tr></table>
</td><td rowspan="2" valign="bottom"><a name="letter_r"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;r&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classWebSocketFileTransfer.html">WebSocketFileTransfer</a>&#160;&#160;&#160;</td></tr>
<tr><td></td><td valign="top"><a class="el" href="classFTPServer.html">FTPServer</a>&#160;&#160;&#160;</td><td></td><td></td><td valign="top"><a class="el" href="classWebSocketHandler.html">WebSocketHandler</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="classBLEBeacon.html">BLEBeacon</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_g"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;g&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="structKEYMAP.html">KEYMAP</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classRingbuffer.html">Ringbuffer</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classWebSocketInputStreambuf.html">WebSocketInputStreambuf</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="classBLEDisconnectedException.html">BLEDisconnectedException</a>&#160;&#160;&#160;</td><td></td><td rowspan="2" valign="bottom"><a name="letter_m"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;m&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classRMT.html">RMT</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classWebSocketReader.html">WebSocketReader</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="classBLEEddystoneTLM.html">BLEEddystoneTLM</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classGeneralUtils.html">GeneralUtils</a>&#160;&#160;&#160;</td><td></td><td rowspan="2" valign="bottom"><a name="letter_s"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;s&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classWiFi.html">WiFi</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="classBLEEddystoneURL.html">BLEEddystoneURL</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classESP32CPP_1_1GPIO.html">GPIO</a> (ESP32CPP)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classMAX7219.html">MAX7219</a>&#160;&#160;&#160;</td><td></td><td valign="top"><a class="el" href="classWiFiAPRecord.html">WiFiAPRecord</a>&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="classBLEUuidNotFoundException.html">BLEUuidNotFoundException</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_h"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;h&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classMFRC522.html">MFRC522</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classFreeRTOS_1_1Semaphore.html">FreeRTOS::Semaphore</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classWiFiEventHandler.html">WiFiEventHandler</a>&#160;&#160;&#160;</td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_c"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;c&#160;&#160;</div></td></tr></table>
</td><td></td><td valign="top"><a class="el" href="classMFRC522Debug.html">MFRC522Debug</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classSmartLED.html">SmartLED</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classWS2812.html">WS2812</a>&#160;&#160;&#160;</td></tr>
<tr><td></td><td valign="top"><a class="el" href="structHID__REPORT.html">HID_REPORT</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="structMFRC522_1_1MIFARE__Key.html">MFRC522::MIFARE_Key</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classSOC.html">SOC</a>&#160;&#160;&#160;</td><td></td></tr>
<tr><td valign="top"><a class="el" href="structcamera__config__t.html">camera_config_t</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classHttpParser.html">HttpParser</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classMMU.html">MMU</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classSocket.html">Socket</a>&#160;&#160;&#160;</td><td></td></tr>
<tr><td valign="top"><a class="el" href="classConsole.html">Console</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classHttpRequest.html">HttpRequest</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classMPU6050.html">MPU6050</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classSocketException.html">SocketException</a>&#160;&#160;&#160;</td><td></td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_d"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;d&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classHttpResponse.html">HttpResponse</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="structmqtt__InitTypeDef.html">mqtt_InitTypeDef</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classSocketInputRecordStreambuf.html">SocketInputRecordStreambuf</a>&#160;&#160;&#160;</td><td></td></tr>
<tr><td></td><td valign="top"><a class="el" href="classHttpServer.html">HttpServer</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="structmqtt__message.html">mqtt_message</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classSockServ.html">SockServ</a>&#160;&#160;&#160;</td><td></td></tr>
<tr><td valign="top"><a class="el" href="structdata__packet.html">data_packet</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classHttpServerTask.html">HttpServerTask</a>&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_n"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;n&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classSPI.html">SPI</a>&#160;&#160;&#160;</td><td></td></tr>
<tr><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td></td><td></td><td valign="top"><a class="el" href="classNeoPixelWiFiEventHandler.html">NeoPixelWiFiEventHandler</a>&#160;&#160;&#160;</td><td></td><td></td></tr>
<tr><td></td><td></td><td></td><td></td><td></td></tr>
</table>
<div class="qindex"><a class="qindex" href="#letter_a">a</a>&#160;|&#160;<a class="qindex" href="#letter_b">b</a>&#160;|&#160;<a class="qindex" href="#letter_c">c</a>&#160;|&#160;<a class="qindex" href="#letter_d">d</a>&#160;|&#160;<a class="qindex" href="#letter_f">f</a>&#160;|&#160;<a class="qindex" href="#letter_g">g</a>&#160;|&#160;<a class="qindex" href="#letter_h">h</a>&#160;|&#160;<a class="qindex" href="#letter_i">i</a>&#160;|&#160;<a class="qindex" href="#letter_j">j</a>&#160;|&#160;<a class="qindex" href="#letter_k">k</a>&#160;|&#160;<a class="qindex" href="#letter_m">m</a>&#160;|&#160;<a class="qindex" href="#letter_n">n</a>&#160;|&#160;<a class="qindex" href="#letter_o">o</a>&#160;|&#160;<a class="qindex" href="#letter_p">p</a>&#160;|&#160;<a class="qindex" href="#letter_r">r</a>&#160;|&#160;<a class="qindex" href="#letter_s">s</a>&#160;|&#160;<a class="qindex" href="#letter_t">t</a>&#160;|&#160;<a class="qindex" href="#letter_u">u</a>&#160;|&#160;<a class="qindex" href="#letter_w">w</a></div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
